
c     -----------------------------------------------------------------

        subroutine drawerfileps(array,xsize,ysize,nfile)

      implicit none

      integer array(256,256)
      character*1 oneline(256)
      integer xsize,ysize
      integer i,j,nfile,unum
      character*20 fname
      real x1,x2,y1,y2

c!     uses array2
      unum = nfile 
      if(unum.lt.10)write(fname,'(a5,i1,a3)')'p0000',unum,'.ps'
      if((unum.gt.9).and.(unum.lt.100))
     &     write(fname,'(a4,i2,a3)')'p000',unum,'.ps'
      if((unum.lt.1000).and.(unum.gt.99))
     &     write(fname,'(a3,i3,a3)')'p00',unum ,'.ps'
      if((unum.lt.10000).and.(unum.gt.999))
     &     write(fname,'(a2,i4,a3)')'p0',unum ,'.ps'
      if((unum.lt.100000).and.(unum.gt.9999))
     &     write(fname,'(a1,i5,a3)')'p',unum ,'.ps'
       call ps_init(fname)
       call ps_scale(28.0*20.0/real(xsize),28.0*20.0/real(ysize))
       call ps_translate(0.,0.)
       call ps_lw(0.55)
       do j = 1, ysize
         do i = 1,xsize
            x1 = real(i)+0.5
            y1 = real(j)+0.5
            if(array(i,j).eq.99999) then
               call ps_rgbcolor(0.,0.,1.)
               x1 = real(i)+0.25
               x2 = real(i)+0.75
               y1 = real(j)+0.5
               y2 = real(j)+0.5
                  call ps_line(x1,y1,x2,y2)
            end if
            if(array(i,j).eq.0) then
               call ps_rgbcolor(0.,0.,0.)
               x1 = real(i)+0.25
               x2 = real(i)+0.75
               y1 = real(j)+0.5
               y2 = real(j)+0.5
                  call ps_line(x1,y1,x2,y2)
            end if
            if(array(i,j).le.-1) then
               call ps_rgbcolor(1.,0.,0.)
c!     find neighbour
c!     if it is negative, neighbour is above or below.
               if(array(i,j+1).eq.(array(i,j))) then 
                  x2 = x1
                  y2 = real(j+1)+0.5
                  call ps_line(x1,y1,x2,y2)
               else
                  x2 = x1
                  y2 = real(j-1)+0.5
                  call ps_line(x1,y1,x2,y2)
               end if
            end if
            if(array(i,j).ge.1) then
               call ps_rgbcolor(0.,1.,0.)
               if(array(i+1,j).eq.(array(i,j))) then 
                  x2 = real(i+1)+0.5
                  y2 = y1
                  call ps_line(x1,y1,x2,y2)
               else
                  x2 = real(i-1)+0.5
                  y2 = y1
                  call ps_line(x1,y1,x2,y2)
               end if
            end if
         end do
       end do

       call ps_page
       close(13)

       return

       end subroutine drawerfileps

c     -----------------------------------------------------------------
